Zebrature segnaletica orizzontale

<Aurora_86 14-02-2017>

Ciao a tutti, devo disegnare le zebrature della segnaletica orizzontale. Farle "a mano" richiede troppo tempo. Conoscete qualche scorciatoia?
Grazie

prova con questo mio programma ZEBRA.FAS, è una versione beta, non l'ho mai terminato ma più o meno funziona.

Richiede la selezione delle polilinea chiusa della segnaletica orizzontale, la dimensione della fascia da ripetere in maniera alternata e l'interdistanza.
Una volta caricato il programma con Appload digitare ZEB

segnaletica orizzontale zebra

>>> Scarica ZEBRA.ZIP

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 



Perchè cambia il nome del blocco in "*Unnn" ?

<MARCELLO 3D 29/12/2016>

Buongiorno a tutti,
Premetto: lavoro con CAD2011.
Non capisco perchè ne come fare ad evitare succeda questo:
Lavoro con librerie di blocchi 2D, con proprietà, layer e conseguente nome del blocco.
Casualmente ho scoperto che l'immissione di blocchi con nome specifico, poi nel disegno cad "magicamente" questo cambia di nome prendendo codici tipo *U299, *U300, *U301 etc...etc... La cosa strana è che se provo ad editarlo e salvarlo il nome di cui sopra cambia passando al successivo...tipo da *U100 diventa *U101 e così via....

Per me è un problema perchè in fase di contaggio (che sia filter, bcount o estrattav) non conta correttamente: e dal punto di vista lavorativa può essere un problema serio.

QUALCUNO SA AIUTARMI?? DIRMI IL PERCHE'?? O MAGARI COME EVITARE CAMBI NOME? Grazie e buona anno :)
Marcello

Stai operando con dei blocchi dinamici ?
Quando si modifica un blocco dinamico esso assume un nuovo nome 'anonimo' tipo "*U2".

Con il comando Lista o consultando le Proprietà del blocco si può risalire comunque al nome originale.

Cosa puoi fare:
se la modifica al blocco dinamico è accidentale potresti provare con il comando "RIPRISTBLOC" a ripristinare lo stato originario del blocco. Il nome tornerà quello di prima.
Se invece non puoi modificare (ripristinare) i blocchi in oggetto, perchè cambierebbe il loro aspetto, allora devi usare il comando "ESTRDATI" per computarli.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 



Rinominare molti layout con numeri o lettere consecutive

<caspergt> 17-11-2016 

Salve,
ho un file dwg con "n" layout diciamo 50, e avrei la necessità di nominarli o numerarli progressivamente tutti insieme (tipo 0,1,2,3,4,...oppure a,b,c,d)
avete qualche lisp o macro che funzioni? in rete ho trovato "numlayout" ma mi salta l'ordine come se andasse a random...
grazie

Prova questo mio programma. Carica il file e poi digita NUMLAY
Ciao

>>> scarica numera_layout.lsp

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 

 


Spostare lo spazio modello di una misura fissa in una finestra del layout

<saru> 4-05-2016

buona sera a tutti, ho letto un po di post riguardanti la visualizzazione delle finestre, ecc ecc, ma non ho trovato soluzione al mio quesito.
è possibile spostare la visualizzazione della finestra di una distanza che già conosco?
esempio, nel modello ho una serie di disegni che rappresentano fasi di avanzamento posti ad una distanza 100, impostata la prima finestra di layout tutte le altre sarebbero solamente spostate di 100 a destra o sinistra.

in questo momento per rendere la cosa più veloce creo un rettangolo di visualizzazione nel modello (non stampabile) e do il comando zoom oggetto ad ogni finestra sistemando poi la scala. c'è un sistema più rapido?

si, entra nella finestra e digita il comando "-pan" poi clicca un punto a caso e sposta il cursore nella direzione desiderata (orto in ON!) infine digita la misura dello spostamento 100

Non hai trovato la risposta al tuo quesito? Chiedi a me!



Eliminare un prefisso da nome Layer

<gangitano.luca> 26-02-2016

Buongiorno a tutti,
ho ricevuto un file da un collega (il file ha fatto un po' di giri quindi non riesco a risalire alla fonte) in cui sono stati uniti gli xref.
Il mio problema è che ridividendo il file nei vari xref i nomi dei layer sono lunghissimi perchè hanno tutti il prefisso dell'xref sorgente e attaccandoli come xref su altri file il nome diventerebbe ancora più lungo. La mia domanda è: esiste un Lisp per rinominare più layer selezionati togliendo questo prefisso?
grazie a tutti

usa il comando RINOMINA.
Ad esempio immagina che il prefisso/nome dell'xref sia: "Piante 251016$0$"
allora scrivi nel campo "vecchio nome": Piante 251016$0$*
e nel campo "rinomina in": *
poi premi il pulsante "rinomina in"

RINOMINA LAYER

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 

 


Inserimento blocco esploso

<reggio> 16-02-2016

Salve a tutti, una vecchissima procedura lisp si occupa di disegnare elementi e inserire disegni dwg in un complessivo in base ad alcune scelte utente.
Sino ad ora, i dwg inseriti venivano inseriti nel complessivo come blocchi e tutto era accettabile perchè ogni dwg conteneva un solo particolare, ora che invece ogni dwg contiene a sua volta più blocchi opzionali che l'utente dovrà scegliere se lasciare o eliminare a mano, il fatto che i dwg diventino a loro volta blocchi dentro l'assieme porta ad una perdita di tempo dovendo esplodere ogni volta tutti i dwg inseriti.

Mi domando se c'è modo di inserire i dwg già esplosi, attualmente io inserisco in questo modo:
(command "_insert" "disegnodwg" pos-disegnodwg "" "" "" )

Come protei fare? C'è un comando o opzione "inserisci esploso"?

Anteponi il carattere * al nome del blocco ed elimina un "" per il fattore di scala Y, così:
(command "_insert" "*disegnodwg" pos-disegnodwg "" "")

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Scala del blocco da variabile

<polloth> 14-02-2016

Buon giorno, vi spiego quello che vorrei fare:

Creare un pulsante per l'inserimento automatico di un blocco con una scala preimpostata. La macro che sto provando è la seguente: ^C^C-inser NomeBlocco \1; \
Con questa riesco ad inserire un bloccco avente scala 1 e ruotarlo a mio piacimento.

Il passo successivo (che non riesco a fare) è quello di impostare una scala (USERR5=2) e riuscirla a richiamare nella macro (al posto della scala 1). Potete aiutarmi?

Al posto di 1 usa : (getvar"userr5")

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Mantenere nuovo stile di visualizzazione

<joe> 04-03-2015

Buongiorno
una volta creato un nuovo stile di visualizzazione, come si fa a renderlo parte di autocad e fare in modo che non compaia nella lista degli oggetti eliminabili quando si avvia il comando "elimina"?

In un layout crea una finestra (finmul / viewport) cliccaci dentro e poi "Applica alla finestra corrente" tramite click destro sull'icona del nuovo stile. Almeno un layout deve essere sempre presente nel disegno quindi non potrà essere eliminato. Bisogna augurarsi che nessuno vada a cancellare la finestra....

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Password per aprire AutoCAD

<Joe> 04-12-2014

Salve a tutti
mi chiedevo se è possibile creare una routine lsp che, all'apertura di autocad (quando viene aperto il file disegno1.dwg), faccia visualizzare una msgbox con la richiesta di una password per procedere.
grazie gianni

Ragazzi, provate con il programma che allego.
Copiare i file nella cartella di autocad.
Se vuoi che la password venga richiesta per ogni file verifica che la variable ACADLSPASDOC sia a 1.
Se vuoi che la password venga richiesta solo all'aperutra di autocad la variable ACADLSPASDOC deve essere a 0.
La password è Nuyens (vincitore del giro delle Fiandre del 2011), la puoi modificare nel file lisp.

>>> scarica autocad_password.zip

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Disegno con scadenza

<x11start> 10-11-2014 

... Quella della data poi è una "finezza" per i personaggi particolarmente "duri di cervice", che le e-mail successive alla prima, le ignorano completamente. A quel punto gli si mette questa scadenza "a data", tipo bottiglia del latte! Vorrà dire che, se il disegno non cambia, gli si manderà diverse volte la stessa versione.... ma almeno sarò sicuro che non prende quella errata!...

il 'problema' DATA è facile da risolvere.
Si può creare un cartiglio con un campodati con una istruzione DIESEL che confronta data attuale e data di scadenza e quando si è oltre la data di scadenza scrive un avvertimento al centro del foglio.
Ho preparato un esempio. La data di scadenza è comoda scriverla dentro USERR1 così non si modifica il codice DIESEL.

disegno_con_scadenza.dwg

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Cambio layout e passaggio allo spazio carta con zoom

<wind_skin> 3-10-2014

Salve, avrei la necessità di creare uno script che mi permetta di passare da un layout all'altro a partire dal modello, ed una volta nel layout, passi allo spazio carta e faccia lo zoom estenzione (ho 127 layout in uno stesso file!); purtoppo non riesco a trovare il comando che mi permetta di passare al layout digitandolo sulla tastiera.
Ringrazio in anticipo.

Usa il codice seguente inserendolo in un file .lsp da caricare. Richiama il nuovo comando digitando ZIL.

;;Zoom In Layout
;; 
(defun c:zil ()
   (setvar"cmdecho"0)
   (foreach x (layoutlist)
   	(command"_layout" "_s" x "_pspace" "_zoom" "_e" )
   )
 )

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 



Info su oggetti contenuti in Xrif

<tumash21> 3-10-2014

Buonasera a tutti, mi inserisco in questa discussione visto che si trattano i riferimenti esterni...qualcuno di voi sa quale comando o cambio di variabile bisogna utilizzare per capire cliccando o passando su una linea di un riferimento esterno in un altro file dwg di quale layer si tratta...
Non intendo il layer con cui è stato inserito l'xref ma i singoli layer che compongono gli oggetti all'interno dell'xref...
Grazie in anticipo a tutti quelli che mi risponderanno...

Hai installato gli Express Tools ???
In questo caso usa il comando XLIST.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Creare nuovo comando linea tangente

<boyluke> 9-04-2014

Salve ,
come da titolo sono a richiedere il vs aiuto per la creazione di un comando sconosciuto ad autocad.
Il comando da creare consiste in una linea che parte tangente ad un raggio a cui posso dare lunghezza e angolo d'inclinazione...è un comando molto usato nel precedente cad thinkdesign ed ora che siamo passati ad autocad ne siamo sprovvisti..per ora usiamo soluzioni di ripiego che fanno perdere molto tempo!
vi ringrazio per l'aiuto!!!

Spero di aver capito bene la tua richiesta, ho scritto il comando TC allegato.
Caricalo con APPLOAD.
Richiede:
- selezione cerchio (o arco)
- lunghezza linea
- angolo della perpendicolare alla tangente

Gli input puoi immetterli da tastiera o con input grafico.
Per invertire la direzione della linea: Click SX o Invio per accettare quella proposta.

>>> scarica TC

programma TC per disegno tangente

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Specchiare finestra nel layout autocad

<Mary> 12/03/2014 

Ciao ragazzi!
ho un problema con un layout di cad, vorrei specchiare il contenuto di una finestra (vorrei fare come per il comando ruota in Z del UCS, ma non ruotando bensì specchiando, è possibile? se si come?)

Io farei cosi per ottenere uno specchia rispetto all'asse verticale.
1- copia la Finestra creata nel layout
2 - entra nello spazio modello della nuova finestra
3 - comando UCS > Y -> 180
4 - comando PIANA (mette in pianta con la Z dell'ucs verso l'osservatore)

Se vuoi uno specchia rispetto al'asse orizzontale usa
UCS -> X ->180
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Tratteggio più piccolo dell'area

<joe> 22-01-2014

Salve
come si fa secondo voi a creare un tratteggio che non coincida con i contorni dell'area selezionata; per esempio devo creare un tratteggio in un rettangolo e vorrei che il tratteggio sia più piccolo del rettangolo in modo da lasciare lo stesso spazio tra il tratteggio e i lati del rettangolo ( p.e. 2 unità)
grazie gianni

Ti ho scritto al volo un programma che allego.
Per caricarlo richiama il comando APPLOAD e poi seleziona il file allegato.
Il programma l'ho testato con AutoCAD 2013 , dovrebbe funzionare anche con la 2010.
Ciao

>>> scarica HO.LSP

programma HO disegno campitura con gap

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Alternativa a layer e blocchi

<reggio> 01-2014 

Salve a tutti, provo a spiegarmi con un esempio, sperando di non fare domande troppo banali.

Debbo realizzare un lay-out studio che conterrà più macchine (es. macchina A, B e C).
Ogni macchina è composta da più componenti (es. A1,A2,A3,B1,B2,B3,C1,C2,C3,...).
Vorrei poter gestire rapidamente le modifiche del singolo componente e quelle dell'intera macchina.

Normalmente io farei così, mi creerei i livelli A1,A2,A3,B1,B2,B3,C1,C2,C3,... con i relativi colori, tratti,... insomma, le proprietà,
poi per "muovere" agevolmente le macchine all'interno dello studio, andrei a creare i blocchi A_pianta, A_alzata, A_sezione, B_pianta, B_alzata, B_sezione, C_pianta, C_alzata, C_sezione ...

Il "problema" lo trovo quando ho l'esigenza di dover ad esempio allungare o accorciare l'alzata di A_alzata (quindi debbo stirare in un colpo solo i componenti A2,A3,A5,A8,A15,...) infatti io solitamente esplodo A_alzata, stiro e poi ricreo il blocco ... :(

inoltre, usando i blocchi, al contrario dei livelli, quando tocco un blocco non riesco a capire immediatamente di che blocco si tratta, mentre se toccassi un livello lo leggerei immediatamente nell'elenco layer ...

Ho anche visto che c'è l'editor blocchi, ma ogni volta bisogna entrare in editor, andare nella tab INIZIO/EDITA (perchè lo "stira" con i fulmine che c'è in "tavolozza di creazione dei blocchi" non funziona - o non capisco come si usa), stirare poi uscire da editor e salvare ... :(
Non c'è un altro sistema? Tipo livelli dentro livelli o altro?
Grazie e a presto!

ciao
Non è facile comprendere nel dettaglio quali sono le problematiche legate al tipo di disegno che devi realizzare.
Io provo a consigliarti questo tipo di approccio in base a quello che sono riucito a comprendere dal tuo post:
Utilizza gli XRIF. Ogni macchina sarà un xrif.
Al suo interno potresti disegnare i componenti (a1 a2 a3 a4 ...) o come blocchi o come ulteriori xrif.
All'interno dell'xrif della macchina (a b c ...) disegnerai oltre che la vista in pianta anche le viste laterali.
Quando inserirai gli xrif nel disegno master, di ognuno, fanne, ad esempio, 3 copie.
Ogni copia sarà ritagliata - tramite il comando _CLIP (o _XClip) - in maniera da avere una pianta della macchina, una vista frontale e la vista laterale.
Se vuoi puoi creare i layer delle macchine e portarvi i rispettivi xrif.
Componi il tutto.
Quando dovrai fare una modifica ad una macchina userai click destro/menu contestuale/modifica xrif oppure usa il comando _XOPEN per aprire l'xrif.
Eseguirai le modifiche su TUTTE le viste, salverai e poi ricaricherai l'xrif nel disegno master.
In questa maniera ti garantirai:
1- una corrispondenza dimensionale tra le viste di una stessa macchina.
2- possibilità di gestire il carica/scarica degli xrif per alleggerire il disegno
3- se nidifichi con altri xrif i componenti non devi più impazzire con i layer e non fare confusione tra i vari elementi.
4- nel comando layer i layer saranno raggruppati in gruppi per ogni xrif inserito, quindi + facili da gestire
Un xrif potrebbe anche essere editato nel disegno master se hai bisogno di riferimenti visivi relativi ad altre macchine.
Forse non ho centrato la risposta alla tue problematiche ma spero di averti suggerito qualche idea
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Software per rendering di interni

<lene> 22-12-2013

Non so se è la sezione giusta, in caso chiedo scusa in anticipo.
Vorrei sapere da voi quali software ed eventuali siti di librerie oggetti utilizzate per creare dei rendering di interni, al di là della solito 3d studio.
Vorrei un software free e semplice da utilizzare che dia risultati accettabili (non necessariamente super-professionali). E magari anche da che sito prelevate gli oggetti (mobili e arredi vari).
Grazie in anticipo

prova anche HOMESTYLER di Autodesk, tutto online.
http://it.homestyler.com/
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Cella di Excel in testo di AutoCAD

<pico> 12-11-2013 

Salve a tutti.
Vorrei sapere se è possibile inserire il valore di una cella o più celle di Excel all'interno di un testo di AutoCAD.

Ciao
attualmente è possibile inserire i valori delle celle del file Excel solo in un oggetto tabella di AutoCAD.
Potresti definire uno stile di tabella senza bordi per farlo sembrare un testo.
Io sto comunque sviluppando un programma che riesce ad inserire ed integrare il valore della cella in un testo (anche testom) di AutoCAD mantenendo il link (collegamento) con il file Excel sorgente. Non so dirti ora quando sarà finito.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Ruotare la vista nella finestra (viewport)

<kondor> 3-03-2009

ciao
lavoro con autocad...
vorrei sapere come ruotare una finestra nello spazio "layout" senza che ruoti anche il disegno sullo spazio "modello".

grazie

Una finestra nello spazio Carta non puoi ruotarla (o meglio, il comando Ruota non produrrebbe nessun effetto [nella versione 2010 questo però non è vero]).
Puoi però ruotare la vista contenuta all'interno della finestra:
1 - doppio click all'interno della finestra
2 - invoca il comando UCS e seleziona l'opzione Z (rotazione intorno asse z)
ed immetti il valore dell'angolo che consente di allineare l'ucs ad un
allineamento che desideri sia poi orizzontale nella finestra.
3 - invoca il comanda PIANA opzione <corrente>.
La vista e l'ucs saranno allineati al bordo della finestra.
Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Unità iniziali in AutoCAD

andrea" <andrea@nospam.it> 6-04-08

Ciao! Sapete come si fa ad impostare Autocad in modo che le unità per adattamento scala contenuto inserito siano sempre impostate su metri quando si inizia un nuovo disegno?
Grazie.
andrea

Nel disegno prototipo che usi (estensione .dwt) imposta INSUNITS (scrivilo sulla riga di comando poi <invio>) uguale a 6. Salva il file.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Osnap su entità del DWF

"Daria" <flixo@atlibero.it> 18-06-07

Ciao a tutti.
Uso Autocad 2007 e vorrei sapere se è possibile, con osnap attivo, fare in modo che per una parte di disegno, pur rimanendo visibile, non siano
attivi gli snap ad oggetto.
Magari mettendolo in un layer a parte, oppure... non so...
Grazie
Daniela

Trasforma la parte di disegno in file DWF tramite il comando plot;
successivamente inserisci il file dwf (è molto preciso e ricalcherà le
entità originarie) e cancella le entità originarie.
Infine setta la variabile DWFOSNAP a 0: gli osnap sulle entità del file dwf
saranno disabilitati
CIAO

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Campi dati con AutoLISP

"LupoNero" <luponerospam@tin.it> 11/01/07

Ciao a tutti,
ho la necessità di poter inserire un "campo dati" mediante LISP, è possibile?
Potete darmi qualche dritta?
Grazie in anticipo

Si è possibile, ci sono vari modi
questo è il più... semplice:

(command "_text" (list 0 0) 19 0 "%<\\AcVar Filesize \\f \"%ld%by1\">%")

In questo esempio la stringa del testo descrive un campodati che restituisce
la dimensione del file in KB.
La stringa che descrive il campo (è sempre racchiusa tra %< e >%) la puoi
rilevare all'interno della finestra del comando Campodati (_Field),
naturalmente quando la inserisci come stringa AutoLISP presta attenzione a
far precedere " da \ e le \ da un'altra \
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Personalizzazione icone della tavolozza

"Luigi Effe" <luigi@effearredamenti.com> 21/12/2006

Ciao a tutti e Buon Natale
Volevo chiedervi una cosa:
vorrei inserire i miei blocchi nel disegno con questo comodissimo
strumento in oggetto ma i miei blocchi sono tutti 3D, mentre le anteprime nella tavolozza mostrano il blocco solo in pianta, rimane così difficile riconoscere il blocco che ho intenzione di inserire.
Ho provato in tutti i modi ma non sono riuscito in autocad 2007 a trovare
una soluzione,
Ho provato ad utilizzare anche i menu con le slide, ma mi sembra troppo
macchinoso il processo per creare e modificare i menu.

Vi viene in mente una soluzione?
Ciao!

Prova questa tecnica, si tratta di esportare le icone e sovrascriverle con
altre preparate da te stampando le viste 3d dei blocchi in file .png o
modificandole con un paint:

1 - attiva la tavolozza personalizzata creata da te;
2 - click destro e seleziona "Personalizza" nel menù contestuale;
3 - seleziona il nome della tua tavolozza nel riquadro sinistro della
finestra di dialogo;
4 - click destro e seleziona "Esporta";
5 - assegna il nome di file .XTP da creare e la sua posizione nell HD
6 - cancella la tua tavolozza;
7 - Nella cartella in cui hai creato il file .XTP è stata creata una cartella
avente lo stesso nome della tavolozza. In questa cartella all'interno della
cartella "Images" sono contenute le immagini (icone) che vengono
visualizzate nella tavolozza. Modificale e/o sostituiscile con quelle in
assonometrie prodotte con AutoCAD (ci sono vari modi) o con un paint. Le dimensioni devono essere 32x32pixel (o 64x64 se le vuoi grandi);
8 - Ritornare alla tavolozza degli strumenti click destro e seleziona
"Personalizza" nel menù contestuale;
9 - nel riquadro sinistro della finestra di dialogo click destro in una zona
senza voci e nel menu contestuale selezionare "Importa";
10 - Selezionare il file .xpt creato al punto 5 per ripristinare la
tavolozza;
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Scala del blocco in attributo

"Luigi Effe" <luigi@effearredamenti.com> - 1/11/2006

Avrei bisogno di un aiuto, cercherò di essere conciso, se inserisco un blocco con
l'attributo con etichetta "Misura",l'ho scalo in x di 10 come posso fare si che 10 diventi il valore dell'attributo con etichetta "Misura"
con i campi non sono riuscito a far nulla.
Chi mi aiuta? ne ho un gran bisogno
Ciao!

1 - Richiama l'editore dei blocchi e poi doppio click sull'attributo.
2 - Nel campo 'Default' click destro e richiama da menu contestuale
"Inserisci campo dati"
3 - Nella finestra del comando Campo dati seleziona la categoria "Oggetti" e
in nomi campi dati seleziona "Segnaposto blocco"
4 - Nella lista "Proprietà " seleziona la voce "Scala X"
5 - Salva e chiudi l'editor
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Calcoli con i valori degli Attributi

<caschetti@supereva.it> - 20/10/2006 

Ho un blocco formato da attributi e altro e mi chiedevo se è possibile
far si che uno di questi attributi riporti il risultato di una
operazione matemetica di altri attributi presenti nel blocco. Si può?
Grazie

Usa i Campi dati.
Inserisci un Campo dati nell'attributo che deve contenere il risultato.

Per inserire un campo dati:
1 - doppio click sul blocco;
2 - nella mascherina degli attributi in corrispondenza dell'attributo che
deve contenere il risultato click destro nella casella e seleziona
"Inserisci Campo dati";
3 - Nella finestra che appare seleziona la categoria "Oggetti" e tra quelli
disponibili seleziona "Formula";
4 - nella casella di testo in basso a destra ancora click destro e richiama
nuovamente il comando campo dati. Seleziona la categoria oggetti e questa
volta seleziona "Oggetto";
5 - clicca sul pulsante di selezione ogg. posto in alto e seleziona il
blocco in questione;
6 - la lista "Proprietà" sarà popolata da tutte le proprietà del blocco
compresi gli attributi (le loro etichette). Seleziona il primo attributo e
chiudi il comando;
7 - Nella prima finestra del comando Campo dati, nella casella di testo è
comparso il valore contenuto nell'attributo. Scrivi + (o l'operatore
matematico che ti serve) e poi richiama ancora il comando Campo dati per
selezionare un altro attributo da sommare.
L'operazione va ripetuta tante volte quanti sono gli attributi da sommare.
Terminata la definizione degli elementi che saranno calcolati chiudi con ok.

Questa operazione è stata eseguita nel BLOCCO e non nella sua DEFINIZIONE. Pertanto, se devi fare degli inserimenti multipli di questo blocco, ti conviene copiare più volte quello al quale hai eseguito le operazioni sopra
elencate.

Le stesse operazioni si potrebbero fare nella 'Definizione del blocco'
(nell'editor dei blocchi) ma i campi puntano agli oggetti tramite un loro
numero identificativo che varia ad ogni inserimento. Questo fa si che il
campo dati cerchi i valori di oggetti che nell'area grafica in realtà non
esistono e quindi... non funziona.
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Identificazione univoca blocchi in VBA

no26on@tiscali.it - 23/09/06

salve, non riesco a capire se posso fidarmi della proprietà objectID
di AcadBlockReference...
mi spiego:
all'inserimento di un'istanza di blocco nel dwg vado a popolare una
tabella di access con le seguenti info: attributi del blocco, posx, posy e objectID.
dopo aver chiuso e riaperto il foglio mi accorgo però che l'intero
objectID da me salvato nella tabella access per ogni istanza di blocco
inserita non esiste piu, e il blocco che prima della chiusura aveva
quell'objectID ora ne ha un altro. mentre per tutte le altre entità nel disegno (diverse da AcadBlockReference) l'intero objectID è sempre lo stesso ad ogni apertura del file... la domanda è:
Esiste una proprietà per le istanze di blocco che le identifichi
univocamente in modo da poterle collegare con un database?
Grazie Emanuele

Perchè non provi con la proprietà Handle ?
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Interruzione linea di quota

"Sandro" <wwb@NOSPAMlibero.it> - 29/08/06

Ciao a Tutti, ho cercato invano una soluzione a questa domanda, forse qualcuno di Voi si è già imbattuto in questo problemino. Quando con autocad2007 due quote si intersecano vorrei avere la possibilità di interrompere la quota in quel punto (come una sorta di comando spezza).
Grazie. Ciao Sandro

Perchè non usi una entità WIPEOUT? La disegni in prossimità del'intersezione e poi, con Draworder la posizioni sopra la prima quota e sotto la seconda.
AutoCAD Mechanical ha comunque il comando apposito per questo tipo di operazione.
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Reset 'Tempo' del dwg

manliolog@inwind.it - 01/01/06

Come da oggetto, vorrei eliminare o modificare da un file gli orari di
lavorazione (stanno in Menu strumenti / interroga / data e ora).

Avevo l'abitudine di iniziare un disegno partendo da un disegno precedente,
dal quale cancellavo tutto (tranne ovviamente layer ecc), ma poi mi sono
reso conto che le ore lavorate del secondo disegno si sommano a quelle del
primo.

Ora dovrei consegnare un disegno, e non vorrei che si ritenesse che l'ho
lavorato per un tempo esagerato.

C'è qualche escamotage, tipo salvarlo in un formato particolare, o altro?

Grazie

Quando richiami Menu strumenti / interroga / data e ora richiami il comando Tempo (time in inglese) che ha l'opzione Reimposta. Utilizza quella per resettare il numero di ore del disegno
ciao.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Directory del sistema operativo

Emiliano  - 27/07/03

Ciao a tutti,
è possibile nel linguaggio LISP sapere dove è installato Windows?
(ad esempio c:\windows oppure c:\winnt ecc.)

Ringrazio tutti in anticipo.

usa Getenv: (getenv "windir" ) => "C:\\WINDOWS"

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


incremento Zoom con rotellina

"chirò" - 21/02/03

Ciao a tutti, una prepunta secca secca: come c...olo si regola la zoomata dello scroll in Autocad2000 (in Windows 2000pro).(sorcio logitech cordless e senza palle!!). Per zoomare zoomma, ma non con un movimento lineare.Si muove a scatti e secondo proporzioni variabili a seconda che vada da + a -.
Danke!

Prova a cambiare (aumentare) il valore della variabile di setvar ZOOMFACTOR.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Nomi layer e minscole

Davide Pasina <davide@studiopasina.it> - 30/10/2002

Con AutoCAD 2000, non riesco a dare ad un layer un nome scritto con caratteri minuscoli. O meglio, io li scrivo minuscoli, ma una volta data
la conferma me li rimette maiuscoli. Non ho mai notato se fosse sempre così, è una cosa normale o c'è qualche variabile da settare per avere la possibilità di scrivere nomi con caratteri minuscoli.
Grazie mille.
Davide Pasina

La variabile EXTNAMES, quando è = a 1 , consente di salvare nomi di layer, blocchi, tipilinea ecc. contenenti caratteri speciali (anche spazi), lunghezze superiori anche a 255 caratteri e distingue tra lettere minuscole e maiuscole.
Se la variabile è settata = a 0 (dovrebbe essere il tuo caso) i nomi
vengono trasformati sempre in lettere maiuscole (come avviene nelle release precedenti alla 2000)
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Comando per contare i blocchi

Marko <prova@prova.it> - 11/10/2002

mi sapete indicare un comando ke mi conta quanti blokki uguali ho messo??? ho fatto un progetto e ora devo contare le apparekkiature ke ho inserito come blokki...per contarli.???

grazie

Se possiedi la versione 14 o 2000 usa il comando BCOUNT

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Comando ALIGN in AutoLISP

Massimo Ghio <massimoghio@liberoDALLASPAM.it - 21/01/2002

Ho scritto la seguente procedura per allineare un immagine raster ma ogni tanto mi dà il seguente errore:
ERRORE IRREVERSIBILE "i comandi non possono essere nidificati più di 4" e mi butta fuori dandomi la possibilità di salvare.Non sò cosa significa questo errore.Potete aiutarmi

;;;;;;;;;;;;;;;;;;;;;;;;,BOF;;;;;;;;;;;;;;;;;;;;;;;;;;
(defun C:ALIGN_TM (/ RASTER_TM LUNG )
(SETQ RASTER_TM (ssget "_x" (list (cons 0 "IMAGE") (cons 8 "MAPPA_TM"))))
(setq lung (sslength RASTER_TM))
(IF (/= lung 1) (alert (strcat "Attenzione !! Sul layer MAPPA_TM ci sono "
(rtos lung 2 0) " immagini raster")))
(IF (/= lung 1) (alert "La procedura viene interrotta !!!!!!!!!!!!"))
(IF (/= lung 1) (exit))
(setq oldsnap (getvar "OSMODE"))
(setvar "OSMODE" 0)
(setq PT1O (GETPOINT "\nPrimo punto d'origine"))
(setvar "OSMODE" 33)
(setq PT1D (GETPOINT "\nPrimo punto di destinazione"))
(setvar "OSMODE" 0)
(setq PT2O (GETPOINT "\nSecondo punto d'origine"))
(setvar "OSMODE" 33)
(setq PT2D (GETPOINT "\nSecondo punto di destinazione"))
(COMMAND "_align" "_P" "" PT1O PT1D PT2O PT2D "" "_N" "_REGEN")
(setvar "OSMODE" oldsnap)
)
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;EOF;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
--
Massimo Ghio

Il comando ALIGN in realtà non è un comando interno di AutoCAD ma un comando aggiuntivo in ARX che viene caricato quando si invoca da menu o tastiera Align. Per questo motivo il richiamo in una funzione command non è la scelta più felice
(infatti dopo 4 richiami il sw si blocca).
In un programma lisp andrebbe richiamato in questa maniera: (c:align)
oppure utilizzando la funzione align che però è disponibile solo dopo il caricamento del comando.
In conclusione dovresti ri-progettare la tua routine, precaricando align e poi sfruttando la funzione Autolisp (align .. . .. ....)
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Caricamento file ARX e VLX

archi <archigc@libero.it> - 6/01/2002

Qualcuno mi potrebbe dare una dritta su come poter caricare automaticamente applicazioni arx o vbx, senza sempre dover agire su carica applicazione. Quando inserisco piccoli applicativi arx o simili in support di Acad 2000� ita, funzionano solo per la seduta di lavoro aperta, se chiudo Acad e poi lo riapro bisogna ricaricarle tradizionalmente. Si pu� fare una macro od uno script o qualcosa di molto pi� semplice.
Grazie fin da ora Archi

Per automatizzare il caricamento di file con estensione ARX dovresti creare nella dir di AutoCAD.exe o in una di supporto un file chiamato ACAD.RX e scrivere al suo interno semplicemente i nomi degli arx da caricare:
c:\directory\file.arx
Per i file VLX (e non vbx!) occorre creare un file chiamato ACADDOC.LSP ed usare la funzione load per caricare il file:
(load "c:\\nome_dir\\file.vlx")
Se non vuoi cimentarti con queste tecniche puoi pi� semplicemente richiamare il comando APPLOAD e aggiungere nella 'startup suite' (l'icona con la valigia in basso a destra) i nomi dei file che desideri vengano caricati all'avvio di autocad.
Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Caricamento macro VBA

stefano@tesiingegneria.it 

Avevo già posto questa domanda tempo fa. Volevo sapere se esiste la possibilit� di automatizzare la procedura di caricamento del file DVB (VBALOAD) per poter fare tutto con il semplice clic su un'icona. Non voglio caricare il programma in un file tipo acadr14.lsp per evitare di occupare inutilmente memoria quando non devo utilizzarlo. La mia attuale riga di comando e' ^C^C_-vbarun;costruisci_trave.costruisci_trave; e funziona dopo aver caricato il file DVB con VBALOAD. Per fare cio che vi chiedo ho provato ad inserire questa riga di comando
^C^C_-vbarun;//nt/Utility/VisualBasic/DISEGNO_TRAVI3.dvb!costruisci_trave.costruisci_trave; Mi dice "macro non trovata" NomeFile, NomeModulo e NomeMacro sono giusti, sapete dirmi dove sto sbagliando? NB: il percorso sopracitato � relativo ad un server di rete.
Grazie

La difficolta che trovi, mi sembra di aver capito, quella di caricare prima e, lanciare poi , la tua macro cliccando semplicemente sull'icona customizzata. La particolarit� del comando VBALOAD � quella di doversi interfacciare con un altro'ambiente' il VBA; il 'colloquio' pu� richiedere a volte qualche secondo che comunque AutoCAD non interpreata come 'attesa' ma da per scontato che il comando sia stato eseguito. Ecco perch� un vbaload, seguito da un vbarun (o da un altro command), non viene eseguito. Ti consiglio allora di crearti 2 icone con la prima carichi il dvb e con la seconda lo lanci.
I icona: ^C^C _-vbaload;c:/dir/nomefile.dvb;
II icona: ^C^C_-vbarun;nomemacro; (nb: solo nome macro!!! senza nomedvb.)
Se proprio desideri fare tutto con un icona del sano e puro Visual LISP ti aiuter�: ^C^C(vl-vbaload"c:/dir/nome_file.dvb") (vl-vbarun "nomemacro")
nb: codice testato solo x Autocad 2000
Ciao :-)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Variabile per distanza quote Baseline

frankyz 

Salve a tutti. Nelle quote BaseLine la distanza fra le linee portaquota e' dipendente dalla scala di stampa. Ed e' un aspetto che purtroppo non si puo' cambiare in modo dinamico come il testo o le altre variabili DIM. Quale variabile di sistema devo impostare per ottenere una ben determinata distanza fra i vari livelli di quote per le quote BaseLine?
Grazie e Ciao. *frankyz

Il valore della distanza tra quote 'baseline' memorizzato nella variabile di setvar DIMDLI .
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Salvataggio calibrazione tavoletta

Aigor <agoirlini@yahoo.it>

Salve, sono un neofita di AutoCAD ho appena acquistato una tavoletta grafica (Acecad 12"x12"). Sto utilizzando AutoCAD 14, seguendo l'Online Help ho calibrato la tavoletta (tablet -> cal) in base al disegno che dovevo digitalizzare (scala 1:50), il problema � che ogni volta che riapro il file mi chiede di ricalibrare la tavoletta, esiste un modo per fargliela ricordare? Sempre leggendo l'Online Help ho scoperto che le impostazioni si salvano nel file acad.pgp (giusto?), ho provato ad aprirlo ma non c'� traccia di calibrazioni di tavoletta. Grazie Aigor

Quello che chiedi � possibile farlo con un breve programma in AutoLISP. Utilizzando la funzione tablet che, prima 'cattura' la calibrazione della tavoletta salvandola magari in un file e, alle successive aperture del disegno, ripristina i valori rileggendoli dal file precedentemente creato.
Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Soppressione dei 'return' in command

xandre72<xandre72@hotmail.com>

Devo creare un routine che mi recuperi diversi disegni in formato dwg. Penso che la strada + comoda sia la creazione di macro in VBA. Problema: non riesco a trovare la funzione "Recupera" (probabilmente Recover) negli oggetti disponibili. Qualcuno pu� aiutarmi??? Sono riuscito a caricare e analizzare i disegni, ma la correzione degli errori non � completa come la funzione di recupero. Un altro tentativo Ho provato anche a lanciare il comando "RECOVER", in questo modo Autocad mi richiede di premere un numero variabile di [RETURN] a seconda della complessit� del disegno e dal numero di errori rilevati, difficilmente gestibile in automatico. Ringrazio chiunque mi possa aiutare!

Per quanto riguarda i 'return' da sopprimere prova a settare la variabile QAFLAGS = a 2. Un altra tecnica potrebbe essere quella di creare un loop per controllare la variabile di setvar CMDNAMES : sino a che � = a "Recover" invia un return (magari via Sendcommand) .

ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Gestione del comando AREA in AutoLISP

Giancarlo Paolini<gpaolini@unich.it>

Ho necessità di automatizzare il processo di calcolo dell'area di una polilinea chiusa e di scrivere al suo interno, o in un punto specificato, il valore. Ho provato a realizzare un file LISP ma il comando "AREA" interrompe il programma. Inoltre per la scrittura non ho trovato di meglio che usare il comando "MTEXT" perch� "DTEST" interrompeva il programma.

Utilizza il comando AREA con l'opzione object (oggetto) . Il risultato del calcolo va prelevato dalla variabile di setvar AREA, cio� (getvar"area") che memorizza l'ultima area calcolata. Per quanto riguarda la creazione del testo utilizza TEXT (command "_.text" ecc...) Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Tolleranze di tipo albero/foro

umberto <pakistano@tiscalinet.it>

ho la necessita' di inserire tolleranze albero-base del tipo H7 come apice di una quota come fare? ho visto che acad permette
di inserire gli estremi sup e inf grazie
Umberto

Fai così:
seleziona la quota, click destro, proprietà. Nel dialog box delle proprietà trova la voce "text override" (nella sezione text) e
digita la stringa seguente:
<>\H0.5X\A2;H7
il valore 0.5X rappresenta l'altezza del simbolo "H7" che, in questo caso è pari al 50% dell'altezza del testo principale della
quota (h*0.5).
Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


'Esplosione' di Ellissi

Roberto <robertoo@pragma-srl.com>

Come da oggetto vorrei sapere se esiste un modo per esplodere un elisse. Purtroppo con R13/14 con LT97/98 non si può e pare neanche con il 2000, giusto??
Ciao e grazie.

Se per esplosione intendi trasformare l'ellisse in tanti piccoli archi (come avveniva esplodendola nella versione 12) prima di disegnarla cambia il valore della variabile PELLIPSE da 0 a 1, da questo momento in poi le ellissi saranno delle entità Polilinea
che possono 'subire' il comando esplodi.
Saluti :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 



Warning in R14 x proxy entity create con A2K

franx 

salva con nome in cad2000 nel formato r14 crea un fastidioso problema nell'aprire un file creato con il 14 poi semplicemente salvato nel 2000 e poi risalvato per il 14 mi appare un messaggio che all'incirca dice che vi sono entità proxy non visualizzabili e relative applicazioni .arx non caricabili!
ciao franx

Per disattivare il messaggio relativo agli oggetti proxy creati con la versione A2k setta la variabile PROXYNOTICE = a 0.
Questa variazione può essere fatta anche dal comando 'Preferenze' nella tab 'Compatibilità'.
ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Errore:"Cannot find shell program"

"F.A." <f_a_10@hotmail.com>

Cannot find shell program
quando devo scrivere aprendo la casella mtext mi risponde con questo messaggio strano cè qualcuno tra di voi che mi sa dare una risposta o megli ancora un comando per farlo funzionare ???
grazie mille a chi sara cosi gentile da rispondermi

Il tuo AutoCAD è stato configurato con un editor, x testi MTEXT, che non è più
presente nel sistema (o è cambiato il suo path).
Per settare un editor diverso da quello standard di AutoCAD si cambia il valore
della variabile di setvar MTEXTED, attribuendogli il nome del nuovo editor di
testi (es: notepad.exe , word.exe ecc...) .
Per ripristinare tutto come prima assegna a Mtexted, "internal" (default di
acad) o specifica meglio il nome dell'exe da utilizzare.

Saluti :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Verifica versione file dwg

Rodriquez Marco <digitelvr@sis.it>

< >..... avrei pensato di verificare la versione del file dwg
prima di passarlo al controllo: quali funzioni dell'oggetto autocad devo
usare per testare la versione di un file dwg via vc++6?
Ciao e Grazie
Marco

Ti basta semplicemente leggere i primi 6 caratteri del file .DWG e poi
confrontare la stringa letta: se per esempio ottieni "AC1009" allora il file è della release 12.
Per valori inferiori a 1009 saremo in presenza di file creati con versioni
precedenti.
Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Filedia e Riquadro di selezione dei file

<emanubug@uninetcom.it><811hmi$s8t$1@serv1.iunet.it>

Uso Autocad 14, originale.
Il mio problema è che selezionando file/apri o cliccando sulla barra degli
strumenti l'iconcina apposita non appare più la finestra di dialogo da cui
poter selezionare i files...
Non ci sono script o programmi Autolisp o ADS attivi. La guida in linea cita un file di registro "Filedia" che se impostato su 0 anzichè su 1 (come di default) non fà apparire la finestra. Posto che nè io nè ritengo nessun altro possa aver variato questa voce di registro, come ripristinarla?
NON DITEMI DI REINSTALLARE, troppo facile :-)
Baci, Emanuela

FILEDIA è una variabile di SETVAR (una serie di settaggi che regolano il funzionamento del prg). I valori di alcune di queste variabili vengono memorizzati nel file di registro di win ma per variarle basta richiamarle da linea di comando ed, in questo caso, assegnare il giusto valore :1.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Programmi per calcolo CAMMES ci sono?

Black Smith <passo@NOSPAMgeocities.com>

Salve, un mio amico sostiene che non esistono in rete programmi (NON DOS) per la calcolazione delle CAMMES, effettivamente io ho cercato ma ho trovato ben poco, voi sapreste indicarmi qualche indirizzo oppure al limite qualche fornitore?Il programma non dovrebbe necessariamente girate sotto Autocadgrazie in anticipo

Se non trovi niente tra programmi 'stand alone', tra gli applicativi di AutoCAD
c'è GENIUS (disegno e progettazione meccanica); ha un modulo per la gestione
delle cammes e dei relativi grafici (con accelerazioni e velocità).

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Esiste il DDE su acad 14?

Mauro Simeoli 

Io uso molto il DDE tra Excel (sono ancora alla 4.0) ed Autocad 12 Windows,
e tutto mi funziona bene (inserisco le misure di punti derivanti da un rilievo topografico in un foglio Excel, calcolo le coordinate e le trasferisco direttamente ad Autocad che mi disegna i punti). Ma in acad 14 non ho trovato traccia di DDE e relative opzioni. Esiste ancora?
Mauro

Si esiste, più che altro per compatibiltà con le vecchie applicazioni perchè si
potrebbe utilizzare VBA o ActiveX tramite VisualLISP.
Il file r14dde.zip lo trovi a ftp://ftp.autodesk.com/pub/autocad14/
Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Textmask, rimozione

personal64 <personal64- NO SPAM -@hotmail.com>

Qualcuno sa dirmi come rendere cliccabili le "textmask" in autocad? Ne ho alcune sparse in un disegno che non riesco a selezionare e , di conseguenza, eliminare Grazie.

Richiama il comando WIPEOUT, poi seleziona l'opzione FRAME e quindi ON.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Grips, attivazione modalità noun-verb

Fabrizio Casetti <fabrizio.casetti@fe.nettuno.it>

Usando Autocad 14. Qualcuno mi sa mica dire perchè non riesco più a cambiare il layer e/o il colore degli oggetti usando i grip? Vi spiego cosa faccio: per modificare le proprietà di una linea, ad es., la seleziono, così saltano fuori i grip blu, poi vado nel menù a tendina dei layer o dei colori e seleziono la nuova proprietà, una volta così facendo si cambiava...ora non più!!! NB usando change properties funziona.

Grazie se qualcuno mi aiuta.

In qualche maniera è stato cambiato il valore della variabile PICKFIRST. Settalo uguale a 1. Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Batch per stampare file .PLT

G & G <gandg@tuttocitta.it>

Debbo mandare in stampa (HP 750C plus) oltre 100 file dei quali ho già fatto i plt, è sufficiente copy *.plt lpt1? Un altra domanda dato che lavorerò su una stazione non mia, ma su una stazione in una rete gestita da NT dovrò utilizzare qualche accortezza particolare?

I comandi da scrivere in un file batch sono pochissimi:

FOR %%f IN (*.PLT) DO type %%f > LPT1

Posiziona il file batch nella directory che contiene i file .plt.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Superfici "ombreggiate"

Fausto Franzoni <fausto.fr@numerica.it>

chiedo come creare delle superfici curve che si 'colorino' con l'opzione 'ombra'. (esempio e' il '3dfaccia' che si colora con l'ombra, mentre la polilinea 3d, se pur chiusa, non si colora). grazie

Mi sembra di capire che ti servano figure 2d (piane) con curve. Fai così:dopo aver disegnato la polilinea (deve essere chiusa) trasformala in una REGIONE con il comando REGION. Le regioni vengono considerate come figure piene e 'subiscono' lo shade (ombra)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Creare un ARX con Vital LISP

Stefano Gaggioli <vap1409@iperbole.bologna.it>

Programmo correntemente il Lisp, da poco sto usando Visual Lisp: qualcuno sa dirmi come compilare il codice creato da visulaLisp (*.FAS,*.PRJ, ecc) per trasformarli in ARX. Grazie a chi mi da indicazioni.

saluti da Gag98

Anche senza caricare il file lisp nell'editor, dal menu file, seleziona Make Aplication... un serie di riquadri ti guideranno passo passo nella creazione del file .ARX (o VLX). VisualLISP creare prima un file 'make' (memorizza le scelte successive) poi richiede il nome del file arx da creare ed infine richiede il nome del/dei file lisp da compilare e degli eventuali file .DCL

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


 

Stampa con linee nascoste da Paper Space

ff.bb. <fra@altavista.net>

CHI GENTILMENTE MI DIREBBE QUALE E' LA VARIABILE DA SETTARE PER STAMPARE IN HIDELINE QUANDO SI E' IN PAPARE SPACE GRAZIE IN ANTICIPO possibilmente rispondere via e-mail

Non c'è una variabile. Devi soltanto settare la/le viewport presenti in Paper space nella modalità hideplot tramite il comando _MVIEW opzione HIDEPLOT in ON. Con il comando LISTA puoi verificare, prima della stampa, lo stato della viewport.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Errore "missing double in restore file" con solidi Acis

Giulio Cantagalli <giulioc@brezza.iuav.unive.it>

Per favore, qualcuno sa come mai autocad 14 mi pone grossi problemi con file contenenti elementi 3D. Il file spesso mi appare in anteprima completo, ma una volta aperto non ha nessun elemento 3D dandomi come errore "missing double in restore file". Aiutatemi! Vi prego di rispondermi all' Email giulioc@brezza.iuav.unive.it se possibile con una certa urgenza! Vi ringrazio fin da ora! Giulio

Il problema è stato causato da un bug presente nei moduli arx per il rendering RENDER.ARX (ver. S.1.0.0) e/o dal modulo per il link a database esterni ASE.ARX (ver 2.1.133 ) che erano probabilmente attivi durante la creazione dei 3Dsolid. Il bug consiste nel fatto che questi moduli possono cambiare la rappresentazione dei numeri decimali sostituendo al . (punto) la , (virgola) quando sulla piattaforma Windows si sceglie questo tipo di separatore (quindi 10.34 diventa 10,34). Autocad dunque registra i dati numerici in questa forma e alla successiva riapertura del file non li riconosce. Per risolvere il problema esiste un ARX chiamato SATFIXER. Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Campiture sfumate

Mauro <vad4351@iperbole.bologna.it>

E' possibile riempire in modo sfumato una superficie in Autocad 13? E in Autocad 14? Ovviamente in modo "automatico", cioe' senza affiancare artificialmente delle campiture piu' o meno intense. Grazie

Se possiedi una periferica di stampa che supporta il postscript, puoi utilizzare il comando PSFILL per riempire le polilinee chiuse con i retini postscript forniti insieme ad AutoCAD (tra i tanti ne esiste uno sfumato, dal bianco al nero).

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Viste ASSONOMETRICHE in AutoCAD

Davide Malagoli <malagoli@iname.com>

Ciao, sto cercando un programma che mi permetta di visualizzare e quindi stampare i miei disegni di autocad o 3ds. Come posso fare? Grazie

Se possiedi AutoCAD con il comando VPOINT (pvista nella versione italiana) assegna le terne di valori seguenti:

ISOMETRICA vpoint 1,1,1 (angoli a 120°)

DIMETRICA vpoint 2.192,1,1 (angoli a 130/130/100)

TRIMETRICA vpoint 6,4.83,4 (angoli a 130/120/110)

OBLIQUA MONOMETRICA

vpoint 0.57735,1,1.1547 (angoli 90/120/150)

vpoint 1,1,1.41421 (angoli a 90/135/135)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Conversione di entità testo in linee

Leonardo Tagliavini <mon3374@iperbole.bologna.it>

Salve ho una domanda specifica per i super esperti di Autocad: c'è un comando o un metodo per convertire del testo in geometria (cioè esploderlo come si fa per i simboli?) Grazie in anticipo

Se possiedi la release 13 per windows o la R14, utilizza il comando WMFOUT che genera un file .WMF rappresentando le entità selezionate come linee e polilinee. Il successivo reinserimento del file, tramite il comando WMFIN, genera un blocco che contiene le entità selezionate in precedenza. Esplodi il blocco e...

Saluti

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Funzionamento di Draworder (R14)

Benny <md8851@mclink.it>

Salve, presso lo studio dove lavoro utilizzo l' Autocad14. Sto disegnando una pianta (da plottare a colori) piena di hatch solid. Per determinare l' ordine di plottaggio (tanto per capirci per far si che gli alberi vengano plottati "sopra" al grigio della strada) utilizzo il comando draw order. Il problema e' che a volte funziona ed altre non funziona. Altre volte il comando funziona bene ma rifacendo un regen o semplicemente aggiungendo qualche linea da qualche altra parte del disegno torno alla situazione precedente all' utilizzo del draw order. Sono l' unico che ha questo problema ? Oppure mi sfugge qualcosa nel corretto utilizzo del comando. Grazie Benny

Draworder funziona tenendo conto delle entità presenti in quel momento (quando cioè si richiama il comando). Applicalo alla fine, prima di stampare, e verifica con il comando Preview l'esatta disposizione delle entità.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Stampa in B/N con HP Deskjet 690 in R13 x Win

tw0124 <tw0124@TimeWarp.it>

HP Deskjet 690C e AutoCAD R13 per Win Ciao....ho da porre una domanda...è possibile stampare sotto CAD 13 in bianco e nero con questa stampante? Sono costretto a "plottare" i miei disegni a colori, perché la stampa in scala di grigi è ovviamentee troppo chiara (immaginate un giallo riportato in scala di grigi!)....ma vorrei poter usare il bianco e nero! Come? Andrea Villani

Prova questo: nel dialog box relativo all'associazione penne/colore del comando PLOT assegna oltre che gli opportuni spessori, a TUTTE le penne (colori) , il COLORE 7 (bianco, ma nero sul foglio).

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Testi con font di tipo .pfb in AutoCAD R13

Eddy Pagotto <cadstation@aladata.it>

Quando provo ad aprire un disegno della 12 con la versione 13, tutti i testi diventano più grossi. Utilizzando lo script AutoLISP CHTEXT.LSP della 12, sono riuscito ad ovviare alla cosa, ma quando mi capitano diversi stili di testi, con dimensioni differenti... è un suicidio. C'e' qualcuno che puo' aiutarmi in qualche altro modo?

Se per "...più grossi.." intendi l'altezza, probabilmente gli stili di testo dei testi in oggetto utilizzano un font di tipo poscript (quelli con estensione .pfb) Un bug della r12 faceva si che venissero generati non della giusta altezza, l'errore è stato corretto nella r13 ed ecco quindi spiegata la simpatica 'crescita'. Le soluzioni ? Una potrebbe essere quella di utilizzare il comando FILTER, selezionare gli oggetti utilizzando come filtro lo stile di testo e/o l'altezza del testo e poi raggrupparli con il comando gruppo per passarli a CHGTXT. Un'altra (più elegante) sarebbe quella di scrivere un prg AutoLISP apposito.

Ciao :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Visualizzazione coordinate polari durante comando PLINE

Angelo D'Ettore <Angelo.Dettore@ntt.it>

Volevo chiede come è possibile mettere di default in Acad r14 le coordinate polari quando per esempio si fa una poliline ( si clicca sul punto di origine) le coordinate sono cartesiane ma quando metto il secondo punto della poliline le coordinate non passano automaticamente in polari come in Acad r13. Per me questo problema sta diventando un grattacapo spero che vogliate aiutarmi. Vi ringrazio anticipatamente. Angelo.Dettore@ntt.it

Se ti costa fatica premere il tasto funzione F6 allora utilizza il codice AutoLISP seguente (magari scrivendolo nel file acad.lsp)

(command "_undefine" "_pline")
(defun c:pline ( / pt1)
(setq pt1(getpoint"\nFrom point:"))
(command "coords" 2 "_.pline" pt1)
(princ)
)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 

 


AutoCAD R14 e Access

Laura Annibaletto <tsvla1@comune.torino.it>

Sapete dirmi se la versione 14 di Autocad e' in grado di interfacciarsi ad Access? Grazie.

Si, tramite l'ASE. L'ase mette a disposizione vari driver per connettersi (aprire, scorrere e linkare) ai db più diffusi. Per gestire file di access bisogna utilizzare il driver odbc (open data base connectivity) Non è escluso che serva qualche altro driver di sistema se non disponibile insieme ad Access (io, purtroppo, ho utilizzato solo driver per dbase3).

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Edge visibili in 3ds con mesh provenienti da dxf R13

Benny <md8851@mclink.it>

Salve, probabilmente il problema che ho e' di semplice soluzione e sicuramente la soluzione sara' gia apparsa in questo gruppo, ma io essendo un neofita di internet, non ho avuto modo di leggerla. Ho sempre creato modelli con l' Autocad12 per poi importarli in 3d studio 4, dopo averli "meshati", come dxf. La geometria di costruzione dell' oggetto rimaneva tale anche dopo l' importazione. Adesso pero' modellando con la versione 13 di autocad mi accorgo che andando ad importare in 3d studio il modello(ho provato ad importarlo sia come formato 3ds e sia come dxf) mi appare stravolto nella sua geometria di costruzione (tanto per capirci un cilindro mi diventa un "tamburo"cioe' ha tutti rombi laterali ed una semplice figura costruita estrudendo un polilinea mi si incasina di linee di costruzione). Tale fatto mi comprta che quando vado ad applicare una mappatura a questi oggetti usando la comoda opzione "facemap", mi seguono le linee di costruzione del medesimo e percui mi viene fuori una mappatura assurda. Che devo fare ? C' entra qualcosa l' opzione welding al momento di fare il 3ds out da autocad ? Portero' eterna gratitudine a chi mi sapra' risolvere questo problema. Grazie Alberto

Per quanto riguarda gli effetti "...ha tutti rombi laterali..." e "..estrudendo un polilinea mi si incasina di linee..." posso risponderti. Praticamente 3dstudio ha considerato tutti gli edge delle facce visibili come è giusto che sia. Normalmente però le nostre 'face' (o meglio quelle che ci aspettiamo) sono quadrangolari (formate da due face triangolari), bisogna comunicare quindi a 3dstudio che l'edge in comune che hanno queste due face (complanari o quasi) deve essere reso invisibile, proprio come avviene quando per es. si crea in 3ds un box. Per fare questo esiste un comando (vado a memoria) Modify/edge/AUTOEDGE che richiede di selezionare la mesh da modificare, e un angolo che rappresenta l'angolo formato dalle normali di 2 face adiacenti. Per tutte le facce che avranno un edge in comune e le normali che formano un angolo inferiore a quello specificato, avverà la rimozione, ottenendo una figura con la stessa 'fisionomia' che aveva in AutoCAD. Per quanto riguarda la mappatura di tipo FACE mi sembra strano... non dovrebbe essere influenzata dalla visibilita dell'edge in comune - provero a fare qualche test. Ciao

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Osnap on/off con tasto funzione (come R14) in R13

 

Mark Thomas <markst@gte.net>[sul Newsgroups: comp.cad.autocad] 

Can you assign a Function Key to turn on/off OSNAP in R13, like R14.Thanks I'm a beginner. Mark

Yes.

1 - open the menu file acadfull.mns
2 - search ACCELERATORS section
3 - write this in the section: ["F3"](sonf)
4 - save the file
5 - open the acad.lsp file (or create it) and paste this:

;SONF - Snap ON ofF ...by domenico ieva '97

(defun sonf ( )
 (if gino
   (progn
     (setq gino nil)
      (setvar "osmode" snap)
      (prompt">>>SNAP ON<<<")
    )
    (progn
      (setq snap(getvar "osmode") gino T)
      (setvar "osmode" 0)
      (prompt">>>SNAP OFF<<<")
    )
  )
(princ)
)

;stop cut --------------------------------------------------------------- 6 - open a new drawing

7 - whit the MENU command load the acadfull.mns menu file

warning: NOT TESTED (no R13 on my PC)

Ciao :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Applicativo per disegno raggi ottici

JML Optical <jml@jmlopt.com>[sul Newsgroups: comp.cad.autocad] 

Does anyone know of any autolisp that can aid in the drawing of optical components (lenses, prisms, etc.)? Any help would be appreciated. RJC JML Optical Industries

There is AutoRAY from RayCAD (Tyngsboro, MA). See this page: http://www.lfw.com/WWW/lfw/lfwdec94/deccs.htm

Ciao :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Compilatori da AutoLISP a C/ads/arx

fas0066@comune.re.it 

Salve a tutti Sono un programmatore autolisp su autocad e sto pensando di cominciare a sviluppare dei programmi, cioè dei moduli ARX o simili, per autocad. La mia domande sono: Cosa mi serve? Quale compilatore C mi consigliate Esistono dei traduttori da autolisp a C Da dove devo cominciare? Per il momento mi sto studiando l'ANSI C, tanto penso che quello mi servirà in ogni caso, per dovere di cronaca conosco discretamente Delphi mi può servire in qualche modo?

Rispondo solo parzialmente alle tue domande, perche' il discorso sui compilatori C e' troppo lungo (e sempre in evoluzione in funzione della release di AutoCAD scelta e della piattaforma). Esistono dei traduttori da autolisp a C ? Si,

1) Vital LISP (http://www.basissoftware.com/pr01.htm) che consente di trasformare il codice AutoLISP in EXP, ARX (wow!) e EXE (per windows r12) senza richiedere compilatori C. Vital Lisp mette a disposizione anche una serie di funzioni interne che possono essere richiamate dall'AutoLISP (apertura file, ordinamento, ecc) e dispone anche di un editor avanzato con debugger.

2) Lisp2C (http://www.basic.si/) trasforma il codice autolisp in un file (o piu' file) .c pronti per essere compilati con il compilatore apposito (in funzione della release e della piattaforma) occorrono quindi anche un minimo di nozioni di 'C' anche per, secondo me , ottimizzare il codice quindi doppia spesa :compilatore + Lisp2C .... meglio Vital LISP

Ciao

p.s. Aprile 1998: Il sw Vital LISP è stato acquisito dall'Autodesk che lo commercializzerà, con alcune leggere modifiche, con il nome di Visual LISP.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Conversione di 3D solid in mesh

« G & G » <persichetti@email.telpress.it>

Salve, con AutoCad 13 ho disegnato dei solidi con il comando extrude, ora però mi sono accorto che sarebbe meglio che questi solidi diventassero delle superfici, insomma per farmi capire mi servono cavi. Il problema è che essendo il profilo abbastanza complesso ed i solidi piuttosto numerosi, è troppo laborioso disegnarcene un altro all'interno e sottrarre (La prosima volta cercherò di pianificare meglio il mio lavoro). Confido tantissimo nel Vostro aiuto. Ciao Giovanni persichetti@email.telpress.it

Fai così, con il comando 3DSOUT crea un file .3ds, poi re-importalo con 3DSIN. I solidi ACIS verranno trasformati in polymesh che esplose diventano 3dface.

Ciao :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Conversione file .sld

G & G <persichetti@email.telpress.it>

Posso convertire i file SLD di autocad? Se si come. Avrei intenzione di utlizzarli in autocad 13. Ciao Giovanni persichetti@email.telpress.it

Sul CD-ROM della versione 12 di AutoCAD tra i tanti bonus presenti c'era un programma chiamato SLDMGR che consentiva di gestire (stampa, visualizzazione ecc) le librerie di slide (.SLB) e convertire singole slide in DXF. Non ti resta che cercare qualcuno che abbia acquistato la r12....

Ciao :)

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Dxfix: dxf da R12 a R10

Bruno Mordeglia <bruno.mordeglia@torino.alpcom.it>

Non riesco ad usare dxfix per convertire file dxf da R12 a R10. Qualcuno ha gia' usato con successo questo pprogramma e puo' aiutarmi? Grazie in anticipo. bm

La sintassi (se non ricordo male) da utilizzare e' questa:

dxfix -Tdxfix.dxt inputfile outputfile

E' importante specificare come file di 'traduzione' DXFIX.DXT, che serve proprio per il passaggio da r12 a r10. Se i problemi persistono prova anche con l'opzione -A per ottenere un output in Ascii

dxfix -A -Tdxfix.dxt inputfile outputfile

Ciao.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Solchprop e r13

Matteo Verzolini <fast_shell@popmail.iol.it>

Da quale comando è stato sostituito (se lo è stato) il vecchio comando AME SolCHPROP? Come si può eliminare l'albero di memorizzazione dei solidi (cosa che si faceva con le vecchie versioni dell'AutoCad)

Un corrispettivo del comando non esiste nella versione 13, in quanto la gestione dei solidi è affidata ad un nuovo "motore", prodotto da terze parti, che si chiama ACIS ed ha un funzionamento completamente diverso da quello dell'AME che memorizzava praticamente tutte le primitive solide create. Il passaggio dalla 12/ame alla 13/acis può sembrare un po' traumatico soprattuto per la mancanza del comando in oggetto, ma organizzandosi ti assicuro che è meglio l'ACIS. In commercio esiste un prodotto chiamato CSG EDITOR che comunque riesce a risalire l'albero dei solidi per effettuare delle modifiche emulando quindi il comando SolCHPROP. Allo SMAUCAD di un anno fa ho potuto vedere in anteprima un prodotto italiano che presentava delle caratteristiche diciamo... "parametriche" per l'editazione dei sotto-componenti solidi vedi STI - Autodesk ADN Partner. L'albero non viene più creato, come detto sopra. non c'e nulla da cancellare per ridurre le dim. del disegno.

Non hai trovato la risposta al tuo quesito? Chiedi a me!

 


Facetres per risoluzione 3dsolid circolari

marco lama <mlama@mail.asianet.it>

Ho creato un solido con fori circolari (con i comandi extrude e subtract), esportando il diisegno con 3dsout, mi ritrovo in 3DStudio un solido con fori a sezione quadrata. Esiste una variabile da settare diversamente? Grazie Marco Lama mlama@mail.asianet.it >

Aumenta il valore di FACETRES, in AutoCAD.

Non hai trovato la risposta al tuo quesito? Chiedi a me!